const { ParseObject } = require("./fmode-parse");
async function TestAdd()
{
    // let Face=new ParseObject("MagicMirror")
    // let list =await Face.findAll()
    // console.log(list)

    let YCX = new ParseObject("MagicMirror")
     YCX.set(
        {
            face:"晏晨旭",
            image:"https://file-cloud.fmode.cn/E4KpGvTEto/20230822/3mkf41033623275.png",
            features:"脸型:瓜子脸，眉形:柳叶眉",
        }
     )
     YCX = await YCX.save();
    // console.log(YCX);
     console.log(YCX.toJson());

}

async function TestUpdate()
{
    let YCX= new ParseObject("MagicMirror")
    YCX = await YCX.get("4oWCKHL7mE")
    console.log(YCX)
     YCX.set(
        {
         face:"罗尚沅",
        }
    )
}
async function TestFind(){
    // 查询测试
    let YCX = new ParseObject("MagicMirror")
    let list = await YCX.find()
    console.log(list)
}
TestUpdate()

